%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary: 	A mpc plugin for the Xfce panel
Name: 		xfce4-mpc-plugin
Version: 	0.5.3
Release: 	%mkrel 1
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-mpc-plugin
Source0: 	https://archive.xfce.org/src/panel-plugins/xfce4-mpc-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libmpd)
Requires:	xfce4-panel
Requires:	mpd

%description
This is a simple Xfce panel client plugin for Music Player Daemon.

Features :
* send Play/Stop/Next/Previous command to MPD
* uses gtk-theme media icons (at least nuvola, tango and rodent themes provides
  these icons)
* decrease/increase volume using the mouse wheel
* show the current volume, status and title as a tooltip when passing the mouse
  over the plugin
* show a simple playlist window upon middle-click, permitting to select a track
  to play
* configurable MPD host/port/password
* toggles repeat/random features in the right-click menu
* launch configurable client (gmpc, xterm -e ncmpc,..) through right-click menu

%prep
%setup -q

%build
#to fix debug symbols build
%xdt_autogen
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/xfce4/panel/plugins/libmpc.so
%{_datadir}/xfce4/panel/plugins/xfce4-mpc-plugin.desktop


%changelog
* Sun Sep 10 2023 wally <wally> 0.5.3-1.mga10
+ Revision: 1985911
- new version 0.5.3

* Mon Apr 04 2022 umeabot <umeabot> 0.5.2-4.mga9
+ Revision: 1843133
- Mageia 9 Mass Rebuild

* Sat Jul 04 2020 wally <wally> 0.5.2-3.mga8
+ Revision: 1601857
- update BRs

* Sat Feb 15 2020 umeabot <umeabot> 0.5.2-2.mga8
+ Revision: 1528211
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 13 2019 wally <wally> 0.5.2-1.mga8
+ Revision: 1429160
- new version 0.5.2

* Sun Dec 09 2018 wally <wally> 0.5.1-1.mga7
+ Revision: 1339268
- new version 0.5.1

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-2.mga7
+ Revision: 1301869
- Mageia 7 Mass Rebuild

* Sat Sep 30 2017 wally <wally> 0.5.0-1.mga7
+ Revision: 1161948
- new version 0.5.0
- switch to gtk3

* Wed Feb 17 2016 umeabot <umeabot> 0.4.5-3.mga6
+ Revision: 963562
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 wally <wally> 0.4.5-2.mga6
+ Revision: 881808
- fix debug symbols build

* Sun Jun 21 2015 wally <wally> 0.4.5-1.mga6
+ Revision: 837963
- new version 0.4.5

* Tue Mar 03 2015 wally <wally> 0.4.4-6.mga5
+ Revision: 817450
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-5.mga5
+ Revision: 749763
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 wally <wally> 0.4.4-4.mga5
+ Revision: 706911
- exclude plugin .so from provides
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.4-3.mga4
+ Revision: 520661
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 386846
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 0.4.4-1.mga3
+ Revision: 265387
- new version 0.4.4

* Mon May 28 2012 wally <wally> 0.4.3-1.mga3
+ Revision: 248546
- new version 0.4.3
- BR libmpd
- clean .spec

* Mon Feb 20 2012 wally <wally> 0.4.2-1.mga2
+ Revision: 211240
- disable static build
- new version 0.4.2

* Sun Feb 19 2012 wally <wally> 0.4.1-1.mga2
+ Revision: 210835
- new version 0.4.1
- clean .spec
- imported package xfce4-mpc-plugin


* Sat Mar 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-1mdv2011.0
+ Revision: 644051
- update to new version 0.3.6

* Sat Jul 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5-1mdv2011.0
+ Revision: 557326
- update to new version 0.3.5

* Sat Jan 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-1mdv2010.1
+ Revision: 485065
- add buildrequires on exo-devel
- update to new version 0.3.4
- adapt to new urls

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 0.3.3-7mdv2010.0
+ Revision: 379434
- rebuild for new mpd

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.3-6mdv2009.1
+ Revision: 349472
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.3-5mdv2009.1
+ Revision: 295002
- rebuild for new Xfce4.6 beta1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Wed Mar 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.3-1mdv2008.1
+ Revision: 190232
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-2mdv2008.1
+ Revision: 110125
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- update description
- do not package COPYING, add README to the docs
- use upstream name

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2008.0
+ Revision: 33444
- new version

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-2mdv2008.0
+ Revision: 31001
- requires mpd

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 30536
- Import xfce-mpc-plugin

